botruntime
API ReferenceTables API

Rename Table Column

Renames an existing column within a table to better reflect its content or usage. The operation targets a specific table and requires the current and new column names.

PUT
/v1/tables/{table}/column

Path Parameters

table*string

The table's name or unique identifier for targeting specific table operations.

Request Body

application/json

Details of the column to be renamed, including its current name and the desired new name.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/tables/string/column" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "newName": "string"  }'
{  "table": {    "id": "string",    "name": "string",    "factor": 1,    "frozen": true,    "keyColumn": "string",    "schema": {      "$schema": "string",      "properties": {        "property1": {          "type": "string",          "format": "date-time",          "description": "string",          "pattern": "string",          "enum": [            "string"          ],          "items": {            "type": "string"          },          "nullable": true,          "properties": {            "property1": {              "type": "string"            },            "property2": {              "type": "string"            }          },          "x-zui": {            "index": 0,            "id": "string",            "searchable": true,            "hidden": true,            "order": 0,            "width": 0,            "schemaId": "string",            "computed": {              "action": "ai",              "dependencies": [],              "prompt": "string",              "code": "string",              "model": "gpt-4o",              "workflowId": "string",              "enabled": true            },            "typings": "string"          }        },        "property2": {          "type": "string",          "format": "date-time",          "description": "string",          "pattern": "string",          "enum": [            "string"          ],          "items": {            "type": "string"          },          "nullable": true,          "properties": {            "property1": {              "type": "string"            },            "property2": {              "type": "string"            }          },          "x-zui": {            "index": 0,            "id": "string",            "searchable": true,            "hidden": true,            "order": 0,            "width": 0,            "schemaId": "string",            "computed": {              "action": "ai",              "dependencies": [],              "prompt": "string",              "code": "string",              "model": "gpt-4o",              "workflowId": "string",              "enabled": true            },            "typings": "string"          }        }      },      "additionalProperties": true,      "required": [        "string"      ],      "type": "object"    },    "tags": {      "property1": "string",      "property2": "string"    },    "isComputeEnabled": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
{  "table": {    "id": "string",    "name": "string",    "factor": 1,    "frozen": true,    "keyColumn": "string",    "schema": {      "$schema": "string",      "properties": {        "property1": {          "type": "string",          "format": "date-time",          "description": "string",          "pattern": "string",          "enum": [            "string"          ],          "items": {            "type": "string"          },          "nullable": true,          "properties": {            "property1": {              "type": "string"            },            "property2": {              "type": "string"            }          },          "x-zui": {            "index": 0,            "id": "string",            "searchable": true,            "hidden": true,            "order": 0,            "width": 0,            "schemaId": "string",            "computed": {              "action": "ai",              "dependencies": [],              "prompt": "string",              "code": "string",              "model": "gpt-4o",              "workflowId": "string",              "enabled": true            },            "typings": "string"          }        },        "property2": {          "type": "string",          "format": "date-time",          "description": "string",          "pattern": "string",          "enum": [            "string"          ],          "items": {            "type": "string"          },          "nullable": true,          "properties": {            "property1": {              "type": "string"            },            "property2": {              "type": "string"            }          },          "x-zui": {            "index": 0,            "id": "string",            "searchable": true,            "hidden": true,            "order": 0,            "width": 0,            "schemaId": "string",            "computed": {              "action": "ai",              "dependencies": [],              "prompt": "string",              "code": "string",              "model": "gpt-4o",              "workflowId": "string",              "enabled": true            },            "typings": "string"          }        }      },      "additionalProperties": true,      "required": [        "string"      ],      "type": "object"    },    "tags": {      "property1": "string",      "property2": "string"    },    "isComputeEnabled": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}